boost python & 2.3

Dave Reed drlinux at columbus.rr.com
Sat Aug 2 23:20:44 CEST 2003


On Saturday 02 August 2003 12:31, Robin Becker wrote:
> I'm having trouble building boost python with Python 2.3 & msvc. I 
don't
> remember this with 2.2.3 so I guess it must be related to 2.3. I'm
> seeing lots of this
> 
> C:\Python\devel\boost_1_30_0\boost/detail/ob_call_traits.hpp(89) : see
> declaration of 'call_traits_chooser'
> C:\Python\devel\boost_1_30_0\boost/detail/ob_call_traits.hpp(90) : 
error
> C2059: syntax error : '{'
> C:\Python\devel\boost_1_30_0\boost/detail/ob_call_traits.hpp(90) : 
error
> C2143: syntax error : missing ';' before '{'
> C:\Python\devel\boost_1_30_0\boost/detail/ob_call_traits.hpp(93) : 
error
> C2143: syntax error : missing ';' before '{'
> C:\Python\devel\boost_1_30_0\boost/detail/ob_call_traits.hpp(94) : 
error
> C2955: 'type' : use of class template requires
> template argument list
> 
> Any ideas?
> -- 
> Robin Becker

What version of boost are you using? 1.30.0 won't work with Python
2.3; however, the CVS version of boost does work with Python
2.3. David Abrahams has indicated this on the boost list and I can
confirm that it does work with Python 2.3 (at least on a Solaris 9
system).

Dave









More information about the Python-list mailing list